Bug 825279 - I'm redirected on Events -> Pending page when I click on SSM "CLEAR" button on System -> Schedule System Reboot page
I'm redirected on Events -> Pending page when I click on SSM "CLEAR" button o...
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
1.8
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Stephen Herr
Red Hat Satellite QA List
:
Depends On: 822176
Blocks: space18
  Show dependency treegraph
 
Reported: 2012-05-25 10:36 EDT by Stephen Herr
Modified: 2012-11-01 12:21 EDT (History)
2 users (show)

See Also:
Fixed In Version: spacewalk-web-1.8.15-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 822176
Environment:
Last Closed: 2012-11-01 12:21:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Herr 2012-05-25 10:36:03 EDT
+++ This bug was initially created as a clone of Bug #822176 +++

Description of problem:
When I'm on a page for scheduling remote restart and click on "CLEAR" SSM button, I'm redirected into Pending events page.


Version-Release number of selected component (if applicable):
spacewalk-html-1.7.28-9.el6sat.noarch


How reproducible:
always


Steps to Reproduce:
1. Go to System details page -> Schedule System Reboot
2. Click on "CLEAR" button in upper right corner of the page


Actual results:
You are redirected to system -> Events -> Pending page


Expected results:
You should end up on Schedule System Reboot page again
Comment 1 Stephen Herr 2012-05-25 10:37:38 EDT
Actually it does not always take you to system -> Events -> Pending, it takes you to the most recently viewed perl page that has its own navigation tab.
Comment 2 Stephen Herr 2012-05-25 10:52:18 EDT
Fixed in Spacewalk master: f3c24282482653888a28d877ca52b895a1ac32ee
Comment 3 Jan Pazdziora 2012-10-30 15:25:24 EDT
Moving ON_QA. Packages that address this bugzilla should now be available in yum repos at http://yum.spacewalkproject.org/nightly/
Comment 4 Jan Pazdziora 2012-11-01 12:21:12 EDT
Spacewalk 1.8 has been released: https://fedorahosted.org/spacewalk/wiki/ReleaseNotes18

Note You need to log in before you can comment on or make changes to this bug.